Page MenuHomePhabricator

tests: use fixtures for eio tests
ClosedPublic

Authored by zmike on Jun 5 2018, 9:02 AM.

Details

Summary

remove a lot of duplicated code and make this test suite read more like
all the other suites

fix T6813
Depends on D6247

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jun 5 2018, 9:02 AM
zmike requested review of this revision.Jun 5 2018, 9:02 AM
bu5hm4n added a subscriber: bu5hm4n.Jun 5 2018, 9:32 AM

Except this nitpick, looks good to me.

src/tests/eio/eio_test_eet.c
77

Why is eet required isn't that init'd by eio ? :)

Well I think the title somehow does not make sense in respect to the content :)

Hermet added a subscriber: Hermet.Jun 6 2018, 7:12 PM
Hermet added inline comments.
src/tests/eio/eio_test_eet.c
77

Not exactly. Seems eet is not mandatory by eio. so this is correct.

bu5hm4n accepted this revision.Jun 7 2018, 12:45 AM

I am giving my Approcal for the content, however, the title still does not reflect the content ...

src/tests/eio/eio_test_eet.c
77

Okay, in this case, ignore my comment :)

This revision is now accepted and ready to land.Jun 7 2018, 12:45 AM
zmike added a comment.Jun 7 2018, 5:35 AM

I am giving my Approcal for the content, however, the title still does not reflect the content ...

Using fixtures implies removing this kind of code, so I would disagree with this assessment.

Okay, then ignore my comment :)

ManMower accepted this revision.Jun 18 2018, 7:41 AM
This revision was automatically updated to reflect the committed changes.